{pkgs, ...}: {
  home = {
    username = "tacocat";
    homeDirectory = "/home/tacocat";
    stateVersion = "23.11";
    sessionVariables = {
      EDITOR = "hx";
      BAT_THEME = "ansi";
      DOTNET_ROOT = "$HOME/.dotnet";
    };
    sessionPath = [
      "$HOME/.local/bin"
      "$HOME/.dotnet"
    ];
    packages = with pkgs; [
      wineWowPackages.unstable
      comic-mono
      maple-mono
      jetbrains-mono
      fira-code
      mononoki
      (nerdfonts.override {fonts = ["FiraCode"];})
      gnupg
      pandoc
      jdk20
      pdftk
      git
      lua
      pamixer
      networkmanagerapplet
      htop
      p7zip
    ];
  };

  fonts.fontconfig.enable = true;

  news.display = "silent";

  imports = [
    ./programs
    ./services
    ./shell
    ./helix
    ./emacs
    ./wayland
  ];

  # Let Home Manager install and manage itself.
  programs.home-manager.enable = true;
}
