{lib, ...}: {
  imports = [
    ./zsh.nix
    ./bash.nix
  ];

  programs.starship = {
    enable = true;
    # enableBashIntegration = true;
    enableZshIntegration = true;
    settings = {
      add_newline = false;
      format = lib.concatStrings [
        # "$line_break"
        "$shlvl"
        "$directory"
        "$git_branch"
        "$git_commit"
        "$git_state"
        "$git_status"
        "$package"
        "$nix_shell"
        "$cmd_duration"
        "$status"
        "$character"
      ];
      scan_timeout = 10;
      git_commit.tag_disabled = false;
      git_status = {
        ahead = ''⇡''${count}'';
        behind = ''⇣''${count}'';
        diverged = ''⇕⇡''${ahead_count}⇣''${behind_count}'';
        staged = "+$count";
      };
      nix_shell = {
        format = "via [$symbol$state]($style) ";
        impure_msg = "ι";
        pure_msg = "﻿ρ";
        symbol = "❄️";
      };
      # character = {
      #   success_symbol = "[%](bold green)";
      #   error_symbol = "[%](bold red)";
      # };
    };
  };
}
